(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.BG = function() {
	this.initialize(img.BG);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,66,112);


(lib.button = function() {
	this.initialize(img.button);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,32);


(lib.replay_btn = function() {
	this.initialize(img.replay_btn);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,14,14);


(lib.line1 = function() {
	this.initialize(img.line1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,118,2);


(lib.line2 = function() {
	this.initialize(img.line2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,2);


(lib.logo5 = function() {
	this.initialize(img.logo5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,82);


(lib.logo = function() {
	this.initialize(img.logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,200,184);


(lib.t1 = function() {
	this.initialize(img.t1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,260,49);


(lib.t2 = function() {
	this.initialize(img.t2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,260,16);


(lib.t3 = function() {
	this.initialize(img.t3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,270,25);


(lib.t4 = function() {
	this.initialize(img.t4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,270,28);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Bitmap1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,66,112);


(lib.Symbol19 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Symbol17 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.button();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,150,32);


(lib.Symbol15 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.line1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,118,2);


(lib.Symbol13 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.line2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,64,2);


(lib.Symbol11 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,200,184);


(lib.Symbol9 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.logo5();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,150,82);


(lib.Symbol7 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,260,49);


(lib.Symbol5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,260,16);


(lib.Symbol3 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t3();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,270,25);


(lib.Symbol1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t4();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,270,28);


(lib.Symbol3copy4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.replay_btn();
	this.instance.setTransform(14,0,1,1,0,0,180);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol3copy4, new cjs.Rectangle(0,0,14,14), null);


(lib.Symbol3_1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#000000").ss(1,1,1).p("Egq9gfPMBV7AAAMAAAA+fMhV7AAAg");
	this.shape.setTransform(275,200);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#993300").s().p("Egq9AfQMAAAg+fMBV7AAAMAAAA+fg");
	this.shape_1.setTransform(275,200);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_1},{t:this.shape}]},3).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1,-1,552,402);


(lib.Symbol22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol23();
	this.instance.setTransform(32.9,56.1,1,1,0,0,0,32.9,56.1);
	this.instance.compositeOperation = "lighter";

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,66,112);


(lib.Symbol21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	var mask_graphics_0 = new cjs.Graphics().p("AGQBlQgSgBjfiyIAxABQA+AHBAAeQBAAeBSA1QAqAbAcAVQh0AKgcAAIgGAAgACIBcIjOgJIgEixIBGAIQBPAMAxAWQAxAWA+A2QAeAbAWAXIgSAOQgMgOgQgOQgfgbgUAAQgaAAgUAMQgVANAJASQAHAQAAACIgBAAIgCgCgAkVBIQiEgKgBgBIgCggQAAghAIgOQAIgPAUgbIASgZIDggPIgMCsQAAAFABAEIiEgJgAoTAEIgNgUQgDgGgBgJQgBgIA4gRQAcgJAcgHQgOAxgYAoQgMAUgJALQgVgYgOgUg");
	var mask_graphics_115 = new cjs.Graphics().p("AGQBlQgSgBjfiyIAxABQA+AHBAAeQBAAeBSA1QAqAbAcAVQh0AKgcAAIgGAAgACIBcIjOgJIgEixIBGAIQBPAMAxAWQAxAWA+A2QAeAbAWAXIgSAOQgMgOgQgOQgfgbgUAAQgaAAgUAMQgVANAJASQAHAQAAACIgBAAIgCgCgAkVBIQiEgKgBgBIgCggQAAghAIgOQAIgPAUgbIASgZIDggPIgMCsQAAAFABAEIiEgJgAoTAEIgNgUQgDgGgBgJQgBgIA4gRQAcgJAcgHQgOAxgYAoQgMAUgJALQgVgYgOgUg");

	this.timeline.addTween(cjs.Tween.get(mask).to({graphics:mask_graphics_0,x:54.9491,y:10.084}).wait(115).to({graphics:mask_graphics_115,x:54.9491,y:10.084}).wait(1).to({graphics:null,x:0,y:0}).wait(4));

	// Layer_2
	this.instance = new lib.Symbol22("synched",0);
	this.instance.setTransform(-36.45,-5.25,1,1.1799,17.2326,0,0,32.9,56.1);

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:148.15,y:26.4},39).wait(1).to({rotation:-11.9953,x:147.9,y:19.4},0).to({scaleY:1.1798,rotation:-9.402,x:-28.2,y:10.7},75).to({_off:true},1).wait(4));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,109.9,20.2);


(lib.Symbol20 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.instance = new lib.Symbol21("synched",0);
	this.instance.setTransform(90.1,377.45,0.8252,0.8252,0,0,0,67.3,12.3);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(34).to({_off:false},0).to({_off:true},116).wait(425));

	// Layer_1
	this.instance_1 = new lib.Symbol19("synched",0);
	this.instance_1.setTransform(160,320,1,1,0,0,0,160,320);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(159).to({startPosition:0},0).to({_off:true},1).wait(415));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Symbol18 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol17("synched",0);
	this.instance.setTransform(75,16,1.7633,1.7633,0,0,0,75,16);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,alpha:1},19,cjs.Ease.get(1)).wait(31).to({startPosition:0},0).to({scaleX:1.1,scaleY:1.1},6).to({scaleX:1,scaleY:1},6).to({scaleX:1.1,scaleY:1.1},6).to({scaleX:1,scaleY:1},6).wait(64).to({startPosition:0},0).to({_off:true},1).wait(461));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-57.2,-12.2,264.5,56.5);


(lib.Symbol16 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol15("synched",0);
	this.instance.setTransform(93.9,1,1,1,0,0,0,59,1);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:59,alpha:1},19,cjs.Ease.get(1)).wait(125).to({startPosition:0},0).to({_off:true},1).wait(275));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,152.9,2);


(lib.Symbol14 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol13("synched",0);
	this.instance.setTransform(-7.5,1,1,1,0,0,0,32,1);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:32,alpha:1},19,cjs.Ease.get(1)).wait(125).to({startPosition:0},0).to({_off:true},1).wait(460));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-39.5,0,103.5,2);


(lib.Symbol12 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol11("synched",0);
	this.instance.setTransform(100,92,1,1,0,0,0,100,92);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({alpha:1},14).wait(145).to({startPosition:0},0).to({_off:true},1).wait(381));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,200,184);


(lib.Symbol10 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol9("synched",0);
	this.instance.setTransform(75,41,1,1,0,0,0,75,41);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({alpha:1},19,cjs.Ease.get(1)).wait(119).to({startPosition:0},0).to({_off:true},1).wait(466));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,150,82);


(lib.Symbol8 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol7("synched",0);
	this.instance.setTransform(130.05,24.55,0.7631,0.7631,0,0,0,130.1,24.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regX:130,scaleX:1,scaleY:1,x:130,y:24.5,alpha:1},19,cjs.Ease.get(1)).wait(131).to({startPosition:0},0).to({_off:true},1).wait(410));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,260,49);


(lib.Symbol6 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol5("synched",0);
	this.instance.setTransform(130.1,8.05,0.7374,0.7374,0,0,0,130.1,8.1);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regX:130,regY:8,scaleX:1,scaleY:1,x:130,y:8,alpha:1},19,cjs.Ease.get(1)).wait(125).to({startPosition:0},0).to({_off:true},1).wait(335));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,260,16);


(lib.Symbol4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol3("synched",0);
	this.instance.setTransform(135,32.95,1,1,0,0,0,135,12.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:12.5,alpha:1},19,cjs.Ease.get(1)).wait(125).to({startPosition:0},0).to({_off:true},1).wait(355));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,270,45.5);


(lib.Symbol2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol1("synched",0);
	this.instance.setTransform(135,14.1,0.8026,0.8026,0,0,0,135,14.1);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:14,scaleX:1,scaleY:1,y:14,alpha:1},19,cjs.Ease.get(1)).wait(125).to({startPosition:0},0).to({_off:true},1).wait(361));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,270,28);


(lib.landingBalloonFull = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//c3ltYm9sX0xhbmRpbmdBbGxJbk9uZV92ZXIxXzI1MDkyMDE5
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxTeW1ib2xCYWxsb29uVmlkZW8zMjF8fHZlcjEuMC4xfHwwNTAyMjAxOHx8RW5kU3ltYm9sQWRtaWNybw==
		
		
		if (!boxLanding) {
			var boxLanding = document.createElement("div");
			boxLanding.id = "box-landing";
			boxLanding.style.width = "100%";
			boxLanding.style.height = "100%";
			boxLanding.style.position = "absolute";
			document.getElementById("animation_container").appendChild(boxLanding);
		}
		
		setTimeout(function () {
			var landing = document.createElement("div");
			landing.id = "landing";
			landing.style.left = "0";
			landing.style.top = "0";
			landing.style.position = "absolute";
			landing.style.cursor = "pointer";
			landing.style.zIndex = 2;
			document.getElementById("box-landing").appendChild(landing);
			document.getElementById("landing").innerHTML += '<style>#landing{width:100% !important;height:100% !important}</style>';
			landing.addEventListener("click", onClickLanding);
		}, 100);
		
		function onClickLanding(e) {
			if (typeof getQuery != 'function') {
				var getQuery = function (a) {
					var v = '';
					if (a = (new RegExp('[?&]' + encodeURIComponent(a) + '=([^&]*)')).exec(location.search)) {
						v = decodeURIComponent(a[1]);
					}
					return v;
				};
			}
		
			window.URLAdm = getQuery('url');
			window.open(URLAdm, "_blank");
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.landing = new lib.Symbol3_1();
	this.landing.name = "landing";
	this.landing.setTransform(275,200,1,1,0,0,0,275,200);
	new cjs.ButtonHelper(this.landing, 0, 1, 2, false, new lib.Symbol3_1(), 3);

	this.timeline.addTween(cjs.Tween.get(this.landing).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.landingBalloonFull, new cjs.Rectangle(-1,-1,552,402), null);


(lib.GrBtnReplay = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// timeline functions:
	this.frame_0 = function() {
		//Y3JlYXRlQnRuUmVwbGF5MjAyMA==
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxDbG9zZVBUT0JhbGxvb258fHZlcjEuMHx8MTYwMjIwMTd8fEVuZFN5bWJvbEFkbWljcm8=
		
		
		if (this.firstRun == null || typeof this.firstRun == 'undefined') {
			this.firstRun = true;
			//console.log('bbbbbbbb');
			var duration_1 = this.parent.duration + 2;
			this.parent.timeline.addTween(createjs.Tween.get(this.parent).wait(duration_1));
		
		
			window.checkShowRep = false;
			var self = this;
			var posClose = self.localToGlobal(self.mcPos.x, self.mcPos.y);
			var currentLocation = window.location;
			var urlClose;
			var color_pick = "#333333";
			var showChildrenRep = false;
			self.name = "mcReplay";
		
			self.mcPos.visible = false;
		
			//console.log("self.mcPos", self.mcPos, self.mcPos.filters[0].blueOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].redOffset)
			if (self.mcPos.filters && self.mcPos.filters[0]) {
				var rgbToHex = function (rgb) {
					var hex = Number(rgb).toString(16);
					if (hex.length < 2) {
						hex = "0" + hex;
					}
					return hex;
				};
				function changeRGB(r, g, b) {
					var red = rgbToHex(r);
					var green = rgbToHex(g);
					var blue = rgbToHex(b);
					return red + green + blue;
				};
		
				color_pick = "#" + changeRGB(self.mcPos.filters[0].redOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].blueOffset);
			}
		
			//console.log("color_pick", color_pick)
			if (currentLocation.hostname.toString() == "127.0.0.1") {
				var wrapper = document.createElement("DIV");
				wrapper.id = "replayCover";
				wrapper.style.position = "absolute";
				wrapper.style.zIndex = 6;
				wrapper.style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
				wrapper.style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
				document.getElementById("animation_container").appendChild(wrapper);
				var replayBtn = document.createElement("DIV");
				replayBtn.id = "bg_replay";
				replayBtn.style.width = "100%";
				replayBtn.style.height = "100%";
				replayBtn.style.position = "absolute";
				replayBtn.style.cursor = "pointer";
				replayBtn.style.visibility = "hidden";
				replayBtn.style.display = "none";
				replayBtn.style.zIndex = "6";
				document.getElementById("replayCover").appendChild(replayBtn)
			}
		
			if (document.getElementById("replayCover") && document.getElementById("bg_replay")) {
				//console.log("vao chinh rep", window.wrapper);
		
				//document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width + "px";
				//document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height + "px";
				document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
				document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
				document.getElementById("replayCover").style.left = posClose.x + "px";
				document.getElementById("replayCover").style.top = posClose.y + "px";
				document.getElementById("replayCover").style.zIndex = "6";
				document.getElementById("bg_replay").style.zIndex = "6";
				//document.getElementById("replayCover").style.transformOrigin = "0 0";
				//document.getElementById("replayCover").style.transform = "scale(" + self.mcPos.scaleX + "," + self.mcPos.scaleY + ")";
		
		
				document.getElementById("bg_replay").innerHTML = '<?xml version="1.0" encoding="iso-8859-1"?><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 305.836 305.836" style="enable-background:new 0 0 305.836 305.836;display:block;" xml:space="preserve"><g><path id="rep" d="M152.924,300.748c84.319,0,152.912-68.6,152.912-152.918c0-39.476-15.312-77.231-42.346-105.564c0,0,3.938-8.857,8.814-19.783c4.864-10.926-2.138-18.636-15.648-17.228l-79.125,8.289c-13.511,1.411-17.999,11.467-10.021,22.461l46.741,64.393c7.986,10.992,17.834,12.31,22.008,2.937l7.56-16.964c12.172,18.012,18.976,39.329,18.976,61.459c0,60.594-49.288,109.875-109.87,109.875c-60.591,0-109.882-49.287-109.882-109.875c0-19.086,4.96-37.878,14.357-54.337c5.891-10.325,2.3-23.467-8.025-29.357c-10.328-5.896-23.464-2.3-29.36,8.031C6.923,95.107,0,121.27,0,147.829C0,232.148,68.602,300.748,152.924,300.748z"/></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg><style>#rep{fill: ' + color_pick + ' !important}</style>';
				document.getElementById("bg_replay").addEventListener("click", onClickRepDom);
			}
		
		
		
			function onClickRepDom() {
				window.eventRep();
				createjs.Ticker.addEventListener('tick', stage);
			}
		
			window.eventRep = function () {
				window.isCompleteVideo = false;
				main.gotoAndPlay(0);
				for (var i = 0; i < main.children.length; i++) {
					if (main.children[i].currentFrame > 0) {
						main.children[i].gotoAndPlay(0);
					}
				}
				window.showReplay(false);
				if (typeof window.initVideo == 'function') {
					//console.log("window.initVideo")
					window.initVideo();
				}
			}
			window.showReplay = function (check) {
				//console.log("window.showReplay", check)
				onShowHideButtonRep(check);
			}
		
		
		
			window.initRep = function () {
				//window.isCompleteVideo = true;
				showChildrenRep = false;
				createjs.Ticker.addEventListener("tick", handleTick);
			}
		
			function onShowHideButtonRep(check) {
				window.checkShowRep = check;
				if (check) {
					if (document.getElementById("bg_replay")) {
						document.getElementById("bg_replay").style.visibility = "visible";
						document.getElementById("bg_replay").style.display = "block";
					}
					createjs.Ticker.removeEventListener('tick', stage);
				} else {
					if (document.getElementById("bg_replay")) {
						document.getElementById("bg_replay").style.visibility = "hidden";
						document.getElementById("bg_replay").style.display = "none";
					}
					createjs.Ticker.addEventListener('tick', stage);
				}
			}
		
			function handleTick(e) {
				if (!showChildrenRep) {
		
					if (!window.main) return;
					showChildrenRep = true;
					//console.log("handleTick------1: ", showChildrenRep);
		
					for (var i = 0; i < window.main.children.length; i++) {
						//console.log("handleTick------2: ");
						var mc = window.main.children[i];
						if (mc.name != null) {
							//console.log("handleTick rep------3: ", mc.name);
							if (mc.name == "mcReplay") {
								//console.log("window.playVideo", window.playVideo);
								if (document.getElementById("box-video-dom") && window.playVideo) {
									console.log("co video va video chay 2")
									window.showReplay(false);
								} else {
									console.log("ko video / co video nhung k chay 2")
									window.showReplay(true);
								}
							}
						}
					}
				}
			}
		
		
		
		}
		
		if (document.getElementById("box-video-dom") && window.playVideo) {
			console.log("co video va video chay 1")
			window.showReplay(false);
		} else {
			console.log("ko video / co video nhung k chay 1")
			window.showReplay(true);
		}
		
		window.main = this.parent;
		main.stop();
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(2));

	// Layer_1
	this.mcPos = new lib.Symbol3copy4();
	this.mcPos.name = "mcPos";
	this.mcPos.setTransform(0,0,0.7143,0.7143);
	var mcPosFilter_1 = new cjs.ColorFilter(0,0,0,1,255,255,255,0);
	this.mcPos.filters = [mcPosFilter_1];
	this.mcPos.cache(-2,-2,18,18);

	this.timeline.addTween(cjs.Tween.get(this.mcPos).wait(2));
	this.timeline.addTween(cjs.Tween.get(mcPosFilter_1).wait(2));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,10,10);


// stage content:
(lib._160x600 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// BUTTON_REPLAY
	this.instance = new lib.GrBtnReplay();
	this.instance.setTransform(147.5,585.45,1,1,0,0,0,7,7);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(159).to({_off:false},0).wait(1));
	this.instance.addEventListener("tick", AdobeAn.handleFilterCache);

	// LANDING_PC
	this.instance_1 = new lib.landingBalloonFull();
	this.instance_1.setTransform(79.95,300,0.2909,1.5,0,0,0,274.9,200);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(160));

	// logo_5_png
	this.instance_2 = new lib.Symbol10("synched",0);
	this.instance_2.setTransform(80.05,530.75,0.3239,0.3239,0,0,0,75.2,41.2);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(21).to({_off:false},0).wait(139));

	// button_png
	this.instance_3 = new lib.Symbol18("synched",0);
	this.instance_3.setTransform(81.6,563.85,0.6085,0.6085,0,0,0,75.1,16.1);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(21).to({_off:false},0).wait(139));

	// line2_png
	this.instance_4 = new lib.Symbol14("synched",0);
	this.instance_4.setTransform(27.1,465.7,0.5292,0.6059,0,0,0,32.1,1.1);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(15).to({_off:false},0).wait(145));

	// line1_png
	this.instance_5 = new lib.Symbol16("synched",0);
	this.instance_5.setTransform(120.05,465.7,0.5292,0.6059,0,0,0,59,1.1);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(15).to({_off:false},0).wait(145));

	// t4_png
	this.instance_6 = new lib.Symbol2("synched",0);
	this.instance_6.setTransform(80.2,474.2,0.5233,0.5233,0,0,0,135.1,14.2);
	this.instance_6._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(15).to({_off:false},0).wait(145));

	// t3_png
	this.instance_7 = new lib.Symbol4("synched",0);
	this.instance_7.setTransform(81.9,454,0.5177,0.5177,0,0,0,135.1,12.6);
	this.instance_7._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(15).to({_off:false},0).wait(145));

	// t2_png
	this.instance_8 = new lib.Symbol6("synched",0);
	this.instance_8.setTransform(80.05,181.6,0.5694,0.5694,0,0,0,130.1,8.1);
	this.instance_8._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(15).to({_off:false},0).wait(145));

	// t1_png
	this.instance_9 = new lib.Symbol8("synched",0);
	this.instance_9.setTransform(79.85,155.2,0.5541,0.5541,0,0,0,130.1,24.7);
	this.instance_9._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(9).to({_off:false},0).wait(151));

	// logo_png
	this.instance_10 = new lib.Symbol12("synched",0);
	this.instance_10.setTransform(79.55,73.25,0.2997,0.2997,0,0,0,100.1,92.1);

	this.timeline.addTween(cjs.Tween.get(this.instance_10).wait(160));

	// BG_jpg
	this.instance_11 = new lib.Symbol20("synched",0);
	this.instance_11.setTransform(143,284.35,0.9001,0.9001,0,0,0,160,320.1);

	this.timeline.addTween(cjs.Tween.get(this.instance_11).wait(160));

	// stageBackground
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("rgba(0,0,0,0)").ss(1,1,1,3,true).p("EgODgwbIcHAAMAAABg3I8HAAg");
	this.shape.setTransform(80,300);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("EgODAwcMAAAhg3IcHAAMAAABg3g");
	this.shape_1.setTransform(80,300);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(160));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(69.2,296.3,100.60000000000001,307.49999999999994);
// library properties:
lib.properties = {
	id: '8040D6832BB1AA47AC865749FD2D6E16',
	width: 160,
	height: 600,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/BG.jpg?1751538072532", id:"BG"},
		{src:"images/Bitmap1.png?1751538072532", id:"Bitmap1"},
		{src:"images/button.png?1751538072532", id:"button"},
		{src:"images/replay_btn.png?1751538072532", id:"replay_btn"},
		{src:"images/line1.png?1751538072532", id:"line1"},
		{src:"images/line2.png?1751538072532", id:"line2"},
		{src:"images/logo5.png?1751538072532", id:"logo5"},
		{src:"images/logo.png?1751538072532", id:"logo"},
		{src:"images/t1.png?1751538072532", id:"t1"},
		{src:"images/t2.png?1751538072532", id:"t2"},
		{src:"images/t3.png?1751538072532", id:"t3"},
		{src:"images/t4.png?1751538072532", id:"t4"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['8040D6832BB1AA47AC865749FD2D6E16'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;